import { StyleSheet, Text, View, ScrollView, TouchableWithoutFeedback } from 'react-native'
import React from 'react'
import CategorySection from '../../components/organisms/Sections/CategorySection'
import RecentPostsSection from '../../components/organisms/Sections/RecentPostsSection'
import TrendingSection from '../../components/organisms/Sections/TrendingSection'
import NewscoutHomeHeader from '../../components/molecules/Header/NewscoutHomeHeader'
import MaterialIcon from 'react-native-vector-icons/MaterialIcons'
import colors from '../../constants/colors'
import OctiIcon from 'react-native-vector-icons/Octicons'
import AntIcon from 'react-native-vector-icons/AntDesign'
const HomePage = props => {

  const { navigation, route } = props

  return (

    <ScrollView contentContainerStyle={{ backgroundColor: colors().dominant }} showsHorizontalScrollIndicator={false}>
      <View>
        <NewscoutHomeHeader
          left={
            <TouchableWithoutFeedback onPress={() => navigation.toggleDrawer()}>
              <OctiIcon name='three-bars' color={colors().primaryColor} size={24} />
            </TouchableWithoutFeedback>
          }
        >
          <View style={{ alignItems: 'center', flexDirection: 'row', gap: 16 }}>
            <TouchableWithoutFeedback onPress={() => navigation.navigate('NotificationPage')}>
              <MaterialIcon name='notifications-none' color={colors().secondaryColor} size={30} />
            </TouchableWithoutFeedback>
            <TouchableWithoutFeedback onPress={() => {
                navigation.navigate('ProfilePage')
                navigation.navigate("SettingsPage")
                }}>
              <AntIcon name='setting' color={colors().primaryColor} size={24} />
            </TouchableWithoutFeedback>
          </View>
        </NewscoutHomeHeader>
      </View>

      <TrendingSection navigation={navigation} />
      <CategorySection navigation={navigation} />
      <RecentPostsSection navigation={navigation} />
    </ScrollView>
  )
}

export default HomePage

const styles = StyleSheet.create({})